# Compiled class file
*.class

# Log file
*.log

# BlueJ files
*.ctxt

# Mobile Tools for Java (J2ME)
.mtj.tmp/

# Package Files #
*.jar
*.war
*.nar
*.ear
*.zip
*.tar.gz
*.rar

# virtual machine crash logs, see http://www.java.com/en/download/help/error_hotspot.xml
hs_err_pid*

/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */


/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package djener;

/**
 *
 * @author poiso
 */
public class Quad<T> {

    private double x1, x2, x3, x4, y1, y2, y3, y4;
    private String name;

    Quad(String name, T x1, T y1, T x2, T y2, T x3, T y3, T x4, T y4) {
        this.name = name;
        this.x1 = (double) x1;
        this.y1 = (double) y1;
        this.x2 = (double) x2;
        this.y2 = (double) y2;
        this.x3 = (double) x3;
        this.y3 = (double) y3;
        this.x4 = (double) x4;
        this.y4 = (double) y4;
    }

//    void setX1(T x) {
//        x1 = x;
//    }
//
//    T getX1() {
//        return x1;
//    }
//
//    void setX2(T x) {
//        x2 = x;
//    }
//
//    T getX2() {
//        return x2;
//    }
//
//    void setX3(T x) {
//        x3 = x;
//    }
//
//    T getX3() {
//        return x3;
//    }
//
//    void setX4(T x) {
//        x4 = x;
//    }
//
//    T getX4() {
//        return x4;
//    }
//
//    void setY1(T y) {
//        y1 = y;
//    }
//
//    T getY1() {
//        return y1;
//    }
//
//    void setY2(T y) {
//        y2 = y;
//    }
//
//    T getY2() {
//        return y2;
//    }
//
//    void setY3(T y) {
//        y3 = y;
//    }
//
//    T getY3() {
//        return y3;
//    }
//
//    void setY4(T y) {
//        y4 = y;
//    }
//
//    T getY4() {
//        return y4;
//    }
    void setX1(T x) {
        x1 = (double) x;
    }

    double getX1() {
        return x1;
    }

    void setX2(T x) {
        x2 = (double) x;
    }

    double getX2() {
        return x2;
    }

    void setX3(T x) {
        x3 = (double) x;
    }

    double getX3() {
        return x3;
    }

    void setX4(T x) {
        x4 = (double) x;
    }

    double getX4() {
        return x4;
    }

    void setY1(T y) {
        y1 = (double) y;
    }

    double getY1() {
        return y1;
    }

    void setY2(T y) {
        y2 = (double) y;
    }

    double getY2() {
        return y2;
    }

    void setY3(T y) {
        y3 = (double) y;
    }

    double getY3() {
        return y3;
    }

    void setY4(T y) {
        y4 = (double) y;
    }

    double getY4() {
        return y4;
    }

    void print() {
        System.out.println("Квадрат");
        System.out.println("Имя:" + name);
        System.out.println("Точки:");
        System.out.println("( " + x1 + " , " + y1 + " )");
        System.out.println("( " + x2 + " , " + y2 + " )");
        System.out.println("( " + x3 + " , " + y3 + " )");
        System.out.println("( " + x4 + " , " + y4 + " )");
    }

    void isIntersect(Pentagon p) {
        if ((double) x1 < (double) p.getX1() && (double) y1 <= (double) p.getY1()
                || (double) x2 < (double) p.getX2() && (double) y2 <= (double) p.getY2()
                || (double) x3 < (double) p.getX3() && (double) y3 <= (double) p.getY3()
                || (double) x4 < (double) p.getX4() && (double) y4 <= (double) p.getY4()
                || (double) x4 < (double) p.getX5() && (double) y4 <= (double) p.getY5()) {
            System.out.println("Пересекаются");
        } else {
            System.out.println("Не пересекаются");
        }
    }

    void move(T x, T y) {
        x1 += (double) x;
        x2 += (double) x;
        x3 += (double) x;
        x4 += (double) x;
        y1 += (double) y;
        y2 += (double) y;
        y3 += (double) y;
        y4 += (double) y;

    }
}


/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package djener;

/**
 *
 * @author poiso
 */
public class Pentagon<T> {

    private double x1, x2, x3, x4, y1, y2, y3, y4, x5, y5;
    private String name;

    Pentagon(String name, T x1, T y1, T x2, T y2, T x3, T y3, T x4, T y4, T x5, T y5) {
        this.name = name;
        this.x1 = (double) x1;
        this.y1 = (double) y1;
        this.x2 = (double) x2;
        this.y2 = (double) y2;
        this.x3 = (double) x3;
        this.y3 = (double) y3;
        this.x4 = (double) x4;
        this.y4 = (double) y4;
        this.x5 = (double) x5;
        this.y5 = (double) y5;
    }

//    void setX1(T x) {
//        x1 = x;
//    }
//
//    T getX1() {
//        return x1;
//    }
//
//    void setX2(T x) {
//        x2 = x;
//    }
//
//    T getX2() {
//        return x2;
//    }
//
//    void setX3(T x) {
//        x3 = x;
//    }
//
//    T getX3() {
//        return x3;
//    }
//
//    void setX4(T x) {
//        x4 = x;
//    }
//
//    T getX4() {
//        return x4;
//    }
//
//    void setX5(T x) {
//        x5 = x;
//    }
//
//    T getX5() {
//        return x5;
//    }
//
//    void setY1(T y) {
//        y1 = y;
//    }
//
//    T getY1() {
//        return y1;
//    }
//
//    void setY2(T y) {
//        y2 = y;
//    }
//
//    T getY2() {
//        return y2;
//    }
//
//    void setY3(T y) {
//        y3 = y;
//    }
//
//    T getY3() {
//        return y3;
//    }
//
//    void setY4(T y) {
//        y4 = y;
//    }
//
//    T getY4() {
//        return y4;
//    }
//
//    void setY5(T y) {
//        y5 = y;
//    }
//
//    T getY5() {
//        return y5;
//    }
    void setX1(T x) {
        x1 = (double) x;
    }

    double getX1() {
        return x1;
    }

    void setX2(T x) {
        x2 = (double) x;
    }

    double getX2() {
        return x2;
    }

    void setX3(T x) {
        x3 = (double) x;
    }

    double getX3() {
        return x3;
    }

    void setX4(T x) {
        x4 = (double) x;
    }

    double getX4() {
        return x4;
    }

    void setX55(T x) {
        x5 = (double) x;
    }

    double getX5() {
        return x5;
    }

    void setY1(T y) {
        y1 = (double) y;
    }

    double getY1() {
        return y1;
    }

    void setY2(T y) {
        y2 = (double) y;
    }

    double getY2() {
        return y2;
    }

    void setY3(T y) {
        y3 = (double) y;
    }

    double getY3() {
        return y3;
    }

    void setY4(T y) {
        y4 = (double) y;
    }

    double getY4() {
        return y4;
    }

    void setY5(T y) {
        y5 = (double) y;
    }

    double getY5() {
        return y5;
    }

    void print() {
        System.out.println("Пятиугольник");
        System.out.println("Имя:" + name);
        System.out.println("Точки:");
        System.out.println("( " + x1 + " , " + y1 + " )");
        System.out.println("( " + x2 + " , " + y2 + " )");
        System.out.println("( " + x3 + " , " + y3 + " )");
        System.out.println("( " + x4 + " , " + y4 + " )");
        System.out.println("( " + x5 + " , " + y5 + " )");
    }

    void isIntersect(Quad p) {
        if ((double) x1 < (double) p.getX1() && (double) y1 <= (double) p.getY1()
                || (double) x2 < (double) p.getX2() && (double) y2 <= (double) p.getY2()
                || (double) x3 < (double) p.getX3() && (double) y3 <= (double) p.getY3()
                || (double) x4 < (double) p.getX4() && (double) y4 <= (double) p.getY4()
                || (double) x5 < (double) p.getX4() && (double) y5 <= (double) p.getY4()) {
            System.out.println("Пересекаются");
        } else {
            System.out.println("Не пересекаются");
        }
    }

    void move(T x, T y) {
        x1 += (double) x;
        x2 += (double) x;
        x3 += (double) x;
        x4 += (double) x;
        y1 += (double) y;
        y2 += (double) y;
        y3 += (double) y;
        y4 += (double) y;
        x5 += (double) x;
        y5 += (double) y;

    }
}

/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package djener;

import java.util.Scanner;

/**
 *
 * @author poiso
 */
public class Djener {

    /**
     * @param args the command line arguments
     */
    public static void main(String[] args) {
        // TODO code application logic here
        Scanner sc = new Scanner(System.in);
        System.out.println("Введите имя квадрата");
        String name = sc.nextLine();
        System.out.println("Введите координаты квадрата");
        Double x1 = sc.nextDouble();
        Double y1 = sc.nextDouble();
        Double x2 = sc.nextDouble();
        Double y2 = sc.nextDouble();
        Double x3 = sc.nextDouble();
        Double y3 = sc.nextDouble();
        Double x4 = sc.nextDouble();
        Double y4 = sc.nextDouble();
        Quad<Double> q = new Quad(name, x1, y1, x2, y2, x3, y3, x4, y4);
        name = sc.nextLine();
        System.out.println("Введите имя пятиугольника");
        name = sc.nextLine();
        System.out.println("Введите координаты пятиугольника");
        x1 = sc.nextDouble();
        y1 = sc.nextDouble();
        x2 = sc.nextDouble();
        y2 = sc.nextDouble();
        x3 = sc.nextDouble();
        y3 = sc.nextDouble();
        x4 = sc.nextDouble();
        y4 = sc.nextDouble();
        Double x5 = sc.nextDouble();
        Double y5 = sc.nextDouble();
        Pentagon<Double> p = new Pentagon(name, x1, y1, x2, y2, x3, y3, x4, y4, x5, y5);
        q.print();
        p.print();
        p.isIntersect(q);
        System.out.println("Введите насколько нужно сдвинуть квадрат");
        Double x = sc.nextDouble();
        Double y = sc.nextDouble();
        q.move(x, y);
        q.print();

    }

}
